<?xml version="1.0" encoding="UTF-8" standalone="no"?>
<event category="COLLISION" with="oCharacter">
  <actions>
    <action id="603" library="1">
      <!--action name: Code-->
      <kind>CODE</kind>
      <allowRelative>false</allowRelative>
      <question>false</question>
      <canApplyTo>true</canApplyTo>
      <actionType>CODE</actionType>
      <functionName/>
      <relative>false</relative>
      <not>false</not>
      <appliesTo>.self</appliesTo>
      <arguments>
        <argument kind="STRING">
if (other.sprite_index != sPExit and other.sprite_index != sDamselExit and other.sprite_index != sTunnelExit) {
  instance_create(x, y, oPoisonPoof);
  playSound(global.sndSmallExplode);
  if (global.plife &gt; 0) {
    global.plife -= damage;
    if (global.plife &lt;= 0 and isRealLevel()) global.enemyDeaths[22] += 1;
  }
  other.xVel = xVel;
  other.yVel = -4;
  other.stunned = true;
  other.stunTimer = 30;
  //if (global.isPoisoned) global.poison += round(global.poisonMax*0.1); else global.isPoisoned = true;
  //global.poisonStrength += 0.5;
  //if (oPlayer1.greenColor &lt; 55) oPlayer1.greenColor += 5;
  //oPlayer1.greenToggle = false;
  playSound(global.sndHurt);
  instance_destroy();
}
</argument>
      </arguments>
    </action>
  </actions>
</event>
